
QGIS Application - Bug report #16565

WFS query bug report

2017-05-17 01:00 PM - Stefan Rey

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24467

Description

User Feedback

Report Details

Crash ID: 15cdf7b48b375149233d4fc4689ab5411ef269df

Stack Trace

(Qt5Core) QSortFilterProxyModel::parent (unknown file):(unknown line)

(Qt5Core) QSortFilterProxyModel::mapToSource (unknown file):(unknown line)

((unknown module)) QgsCustomization::statusPath (unknown file):(unknown line)

(Qt5Core) QModelIndex::data (unknown file):(unknown line)

(Qt5Widgets) QItemDelegate::rect (unknown file):(unknown line)

(Qt5Widgets) QItemDelegate::sizeHint (unknown file):(unknown line)

(Qt5Widgets) QTreeView::indexRowSizeHint (unknown file):(unknown line)

(Qt5Widgets) QTreeViewPrivate::itemHeight (unknown file):(unknown line)

(Qt5Widgets) QTreeViewPrivate::updateScrollBars (unknown file):(unknown line)

(Qt5Widgets) QTreeView::updateGeometries (unknown file):(unknown line)

(Qt5Widgets) QTreeView::expandAll (unknown file):(unknown line)

((unknown module)) QgsCustomization::statusPath (unknown file):(unknown line)

((unknown module)) QgsCustomization::statusPath (unknown file):(unknown line)

((unknown module)) QgsCustomization::statusPath (unknown file):(unknown line)

(Qt5Core) QTimer::stop (unknown file):(unknown line)

(Qt5Core) QObject::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsSimpleFillSymbolLayer::create (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsSimpleFillSymbolLayer::create (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Core) QCoreApplicationPrivate::sendPostedEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) TranslateMessageEx (unknown file):(unknown line)

(USER32) TranslateMessage (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

((unknown module)) QgsCustomization::statusPath (unknown file):(unknown line)

(kernel32) BaseThreadInitThunk (unknown file):(unknown line)

(ntdll) RtlUserThreadStart (unknown file):(unknown line)
Plugins

Project Info

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: c484b50

Compiled against Qt: 5.7.1

Running against Qt: 5.7.1

Compiled against GDAL: 2.1.3

Running against GDAL: 2.1.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2017-05-17 01:01 PM - Giovanni Manghi

- Status changed from Open to Feedback

Sorry, you must give more details.

The URL of the service, the layer you are quering, the query, etc.

thanks.

#2 - 2017-05-17 01:01 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2017-05-23 07:51 AM - Nathan Woodrow

On related note, my crash handler should not be making a crash ID if the stack location is unknown.  I will look into that.

#4 - 2017-05-23 07:56 AM - Jürgen Fischer

- Description updated

#5 - 2017-05-23 07:57 AM - Jürgen Fischer

- Affected QGIS version changed from 2.18.7 to master

#6 - 2017-07-27 03:43 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
